<div class="oni-sorceress__image-component <%= "oni-sorceress__image-component--#{style}" %>">
  <a href="<%= get_src(mimetype: "image/jpeg", breakpoint: max_breakpoint).url %>">
    <picture>
      <% mimetypes.each do |mimetype| %>
        <source
          type="<%= mimetype %>"
          srcset="<%= get_srcset(mimetype:) %>"
          <%# show as 100% of viewport's width %>
          sizes="100vw"
        />
      <% end %>
      <img srcset="<%= get_srcset(mimetype: "image/jpeg") %>" src="<%= get_src(mimetype: "image/jpeg", breakpoint: default_breakpoint).url %>" loading="lazy" />
    </picture>
    <% if title %>
      <p><%= title %></p>
    <% end %>
  </a>
</div>
